Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
58 lines (49 sloc) 1.12 KB
[tox]
envlist=py33,py32,py31,py27,py26,py25,py24,jython,docs
[testenv]
deps= coverage >=3.3
commands=
python selftest.py []
# tox -e oldcov to spot check 2.x version of coverage. However, there is a
# doctest that will fail (currently)
[testenv:oldcov]
basepython=python2.6
deps= coverage < 3
[testenv:docs]
basepython=python
changedir=doc
deps=sphinx>=1.0
commands=
##make clean
##make doctest
make man readme html
##make linkcheck
[testenv:jython]
basepython=jython
# cannot add coverage as a dep because
# it compiles C extensions
deps=
commands=
jython selftest.py []
[testenv:pypy]
# cannot add coverage as a dep because
# it compiles C extensions
deps=
[testenv:py31]
# TODO(Kumar) put coverage back here once pip gets this bug fixed:
# https://github.com/pypa/pip/issues/326
deps=
commands=
rm -fr {toxinidir}/build
{envpython} setup.py build_tests
{envpython} selftest.py []
[testenv:py32]
commands=
rm -fr {toxinidir}/build
{envpython} setup.py build_tests
{envpython} selftest.py []
[testenv:py33]
commands=
rm -fr {toxinidir}/build
{envpython} setup.py build_tests
{envpython} selftest.py []
Jump to Line
Something went wrong with that request. Please try again.